API Guide Home (Online version only) |

# LocsLibSelLocsTag Struct Reference

Collaboration diagram for LocsLibSelLocsTag:

[legend]

## Detailed Description

Container for the selected location in the location database

Definition at line 350 of file LocsLibCommon.h.

## Data Fields

- LocationType * locationP
- UInt32 dirtySelections
- Boolean needSelLoc
- Boolean warnIfLocExists
- Boolean noEditOnSelect
- Boolean preSelect
- Boolean sendChangeNotify
- Boolean noAddToCustomDB
- UInt8 numSelLocs
- UInt8 reserved
- Char ** selLocsListP

## Field Documentation

LocationType* locationP

Location data of the location selected from the Add Sel list. Caller must allocate the memory.

Definition at line 352 of file LocsLibCommon.h.

UInt32 dirtySelections

indicates which selections were modified e.g.: the 1st selection, element 0, would be indicated by dirtySelections & kLocsLibSel01

Definition at line 353 of file LocsLibCommon.h.

Boolean needSelLoc

true if the caller wants a location name being chosen from the Add Sel list to be saved in the selLocsList.

Definition at line 356 of file LocsLibCommon.h.

Boolean warnIfLocExists

false if the caller doesn't want the user warned if selecting a location that already exists in the custom db.

Definition at line 357 of file LocsLibCommon.h.

Boolean noEditOnSelect

true if the caller wants the "Edit Location" dialogue to NOT be displayed after user selects a location; only applies to LocsLibLaunchSelDialogue().

Definition at line 358 of file LocsLibCommon.h.

Boolean preSelect

true if the caller wants the current location to be preselected in the Add Sel list; only applies to ADD/SEL location dialogue (shows master default list of locations).

Definition at line 359 of file LocsLibCommon.h.

Boolean sendChangeNotify

true if the caller wants the selected location data to be broadcast to all registered apps; only applies to LocsLibLaunchSelDialogue().

Definition at line 360 of file LocsLibCommon.h.

Boolean noAddToCustomDB

true if the caller doesn't want the selected location to be added to the custom db.

Definition at line 361 of file LocsLibCommon.h.

UInt8 numSelLocs

Number of items in the selLocsList

Definition at line 362 of file LocsLibCommon.h.

UInt8 reserved

Reserved, not used

Definition at line 363 of file LocsLibCommon.h.

Char** selLocsListP

List of locations names that are "selected" and the caller needs to know if they are changed.

Definition at line 364 of file LocsLibCommon.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:13 2008 for Palm API Guide